# Uses of Interface
org.eclipse.core.runtime.IStatus

Packages that use IStatus
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.internal
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.core.commands.operations
Classes for the creation of undoable operations which can be added to an operations history and later be undone and redone.
org.eclipse.core.databinding
Provides classes for binding observable objects, for example UI widgets and model objects.
org.eclipse.core.databinding.util
Provides general utilities for data binding.
org.eclipse.core.databinding.validation
Provides the core APIs for validation.
org.eclipse.core.filebuffers
Provides the API for accessing file buffers.
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.core.resources.mapping
Provides APIs for integrating application models with the workspace
org.eclipse.core.resources.team
Provides APIs intended to be implemented by the Team component.
org.eclipse.core.runtime
Provides support for the runtime platform, core utility methods and the extension registry.
org.eclipse.core.runtime.jobs
Provides core support for scheduling and interacting with background activity.
org.eclipse.core.runtime.preferences
Provides core support for Eclipse preferences.
org.eclipse.core.runtime.spi
Extension registry infrastructure for service providers
org.eclipse.core.variables
Provides support for defining and contributing variables for the purpose of string substitution.
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.
org.eclipse.debug.core.model
Defines interfaces for debug model elements, source lookup, and launching.
org.eclipse.debug.core.sourcelookup
Provides support for source lookup.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.e4.core.services.statusreporter
org.eclipse.e4.ui.dialogs.filteredtree
org.eclipse.equinox.p2.core
Provides core support for interacting with a p2-based provisioning system
org.eclipse.equinox.p2.engine
Provides support for interacting with the p2 provisioning engine
org.eclipse.equinox.p2.engine.spi
Provides support for registering new provisioning actions and touchpoints.
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.
org.eclipse.equinox.p2.repository.artifact
Defines artifact repository.
org.eclipse.equinox.p2.repository.artifact.spi
Defines SPI for registering new implementations of artifact repositories.
org.eclipse.equinox.p2.repository.metadata
Defines metadata repository.
org.eclipse.equinox.p2.repository.metadata.spi
Defines SPI for registering new implementations of metadata repositories.
org.eclipse.equinox.p2.ui
Provides provisioning user interface classes that can be used for assembling a provisioning UI.
org.eclipse.help.search
Provides the ability to add participants to help search and is responsible for creating search indices.
org.eclipse.jface.databinding.dialog
org.eclipse.jface.databinding.fieldassist
Provides classes that bridge between data binding and the JFace Fieldassist framework.
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.notifications.internal
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.jface.wizard
Provides a framework for wizards.
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.
org.eclipse.ltk.core.refactoring.resource
Application programmer interface to implement resource dependend refactorings.
org.eclipse.ltk.ui.refactoring.model
Application programming interface to provide model integration for refactoring histories.
org.eclipse.search.core.text
Classes giving access to the file (text) search functionality.
org.eclipse.search.ui
Classes and interface required to contribute search dialog pages and search result view pages.
org.eclipse.team.core
Application programming interfaces for defining and working with repository providers.
org.eclipse.team.core.diff
Application programming interfaces for working with diffs.
org.eclipse.team.core.diff.provider
Application programming interfaces for working with diffs.
org.eclipse.team.core.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.core.mapping.provider
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.application
Application-level APIs for configuring and controling the Eclipse Platform User Interface.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.ide.undo
APIs that provide undo and redo behavior for operations that manipulate the workspace.
org.eclipse.ui.internal
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.navigator.resources
Provides reusable components for clients that need to expand on the capabilities provided by the reference Common Navigator Resources extension.
org.eclipse.ui.operations
Classes that provide the basic workbench UI support for undo and redo of operations.
org.eclipse.ui.preferences
Classes for using the preferences support in org.eclipse.core.runtime.preferences
org.eclipse.ui.progress
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.statushandlers
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.texteditor.spelling
Partial infrastructure for spell checking in text editors.
org.eclipse.ui.views.markers.internal
org.eclipse.ui.wizards.datatransfer
Provides the standard Import and Export wizards for moving resources into and out of the workspace.
org.eclipse.unittest.internal

## Uses of IStatus in org.eclipse.compare

Methods in org.eclipse.compare that return IStatus
Modifier and Type
Method
Description
`IStatus`
IStreamMerger.`merge(OutputStream output, String outputEncoding, InputStream ancestor, String ancestorEncoding, InputStream target, String targetEncoding, InputStream other, String otherEncoding, IProgressMonitor monitor)`
Deprecated.
Performs a merge operation on the given input streams and writes the merge result to the output stream.
`IStatus`
IEditableContentExtension.`validateEdit(Shell shell)`
If the element is read-only, this method should be called to attempt to make it writable.
`IStatus`
ResourceNode.`validateEdit(Shell shell)`

## Uses of IStatus in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal that return IStatus
Modifier and Type
Method
Description
`IStatus`
CompareUIPlugin.`prepareInput(CompareEditorInput input, IProgressMonitor monitor)`
`protected IStatus`
WorkerJob.`run(IProgressMonitor monitor)`
Methods in org.eclipse.compare.internal with parameters of type IStatus
Modifier and Type
Method
Description
`static void`
CompareUIPlugin.`log(IStatus status)`

## Uses of IStatus in org.eclipse.compare.structuremergeviewer

Methods in org.eclipse.compare.structuremergeviewer that return IStatus
Modifier and Type
Method
Description
`IStatus`
DocumentRangeNode.`validateEdit(Shell shell)`
`IStatus`
StructureRootNode.`validateEdit(Shell shell)`

## Uses of IStatus in org.eclipse.core.commands.operations

Classes in org.eclipse.core.commands.operations that implement IStatus
Modifier and Type
Class
Description
`final class`
`OperationStatus`
OperationStatus describes the status of a request to execute, undo, or redo an operation.
Fields in org.eclipse.core.commands.operations declared as IStatus
Modifier and Type
Field
Description
`static final IStatus`
IOperationHistory.`NOTHING_TO_REDO_STATUS`
An operation info status describing the condition that there is no available operation for redo.
`static final IStatus`
IOperationHistory.`NOTHING_TO_UNDO_STATUS`
An operation info status describing the condition that there is no available operation for undo.
`static final IStatus`
IOperationHistory.`OPERATION_INVALID_STATUS`
An operation error status describing the condition that the operation available for execution, undo or redo is not in a valid state for the action to be performed.
Methods in org.eclipse.core.commands.operations that return IStatus
Modifier and Type
Method
Description
`protected IStatus`
LinearUndoEnforcer.`allowLinearRedoViolation(IUndoableOperation operation, IUndoContext context, IOperationHistory history, IAdaptable uiInfo)`
`protected abstract IStatus`
LinearUndoViolationDetector.`allowLinearRedoViolation(IUndoableOperation operation, IUndoContext context, IOperationHistory history, IAdaptable info)`
Return a status indicating whether a linear redo violation is allowable.
`protected IStatus`
LinearUndoEnforcer.`allowLinearUndoViolation(IUndoableOperation operation, IUndoContext context, IOperationHistory history, IAdaptable uiInfo)`
`protected abstract IStatus`
LinearUndoViolationDetector.`allowLinearUndoViolation(IUndoableOperation operation, IUndoContext context, IOperationHistory history, IAdaptable info)`
Return a status indicating whether a linear undo violation is allowable.
`IStatus`
IAdvancedUndoableOperation2.`computeExecutionStatus(IProgressMonitor monitor)`
Return a status indicating the projected outcome of executing the receiver.
`IStatus`
TriggeredOperations.`computeExecutionStatus(IProgressMonitor monitor)`
`IStatus`
IAdvancedUndoableOperation.`computeRedoableStatus(IProgressMonitor monitor)`
Return a status indicating the projected outcome of redoing the receiver.
`IStatus`
TriggeredOperations.`computeRedoableStatus(IProgressMonitor monitor)`
`IStatus`
IAdvancedUndoableOperation.`computeUndoableStatus(IProgressMonitor monitor)`
Return a status indicating the projected outcome of undoing the receiver.
`IStatus`
TriggeredOperations.`computeUndoableStatus(IProgressMonitor monitor)`
`abstract IStatus`
AbstractOperation.`execute(IProgressMonitor monitor, IAdaptable info)`
`IStatus`
DefaultOperationHistory.`execute(IUndoableOperation operation, IProgressMonitor monitor, IAdaptable info)`
`IStatus`
IOperationHistory.`execute(IUndoableOperation operation, IProgressMonitor monitor, IAdaptable info)`
Execute the specified operation and add it to the operations history if successful.
`IStatus`
IUndoableOperation.`execute(IProgressMonitor monitor, IAdaptable info)`
Execute the operation.
`IStatus`
TriggeredOperations.`execute(IProgressMonitor monitor, IAdaptable info)`
`IStatus`
OperationHistoryEvent.`getStatus()`
Return the status associated with this event.
`IStatus`
IOperationApprover2.`proceedExecuting(IUndoableOperation operation, IOperationHistory history, IAdaptable info)`
Return a status indicating whether the specified operation should be executed.
`IStatus`
IOperationApprover.`proceedRedoing(IUndoableOperation operation, IOperationHistory history, IAdaptable info)`
Return a status indicating whether the specified operation should be redone.
`final IStatus`
LinearUndoViolationDetector.`proceedRedoing(IUndoableOperation operation, IOperationHistory history, IAdaptable info)`
`IStatus`
IOperationApprover.`proceedUndoing(IUndoableOperation operation, IOperationHistory history, IAdaptable info)`
Return a status indicating whether the specified operation should be undone.
`final IStatus`
LinearUndoViolationDetector.`proceedUndoing(IUndoableOperation operation, IOperationHistory history, IAdaptable info)`
`abstract IStatus`
AbstractOperation.`redo(IProgressMonitor monitor, IAdaptable info)`
`IStatus`
DefaultOperationHistory.`redo(IUndoContext context, IProgressMonitor monitor, IAdaptable info)`
`IStatus`
IOperationHistory.`redo(IUndoContext context, IProgressMonitor monitor, IAdaptable info)`
Redo the most recently undone operation in the given context.
`IStatus`
IUndoableOperation.`redo(IProgressMonitor monitor, IAdaptable info)`
Redo the operation.
`IStatus`
TriggeredOperations.`redo(IProgressMonitor monitor, IAdaptable info)`
`IStatus`
DefaultOperationHistory.`redoOperation(IUndoableOperation operation, IProgressMonitor monitor, IAdaptable info)`
`IStatus`
IOperationHistory.`redoOperation(IUndoableOperation operation, IProgressMonitor monitor, IAdaptable info)`
Redo the specified operation.
`abstract IStatus`
AbstractOperation.`undo(IProgressMonitor monitor, IAdaptable info)`
`IStatus`
DefaultOperationHistory.`undo(IUndoContext context, IProgressMonitor monitor, IAdaptable info)`
`IStatus`
IOperationHistory.`undo(IUndoContext context, IProgressMonitor monitor, IAdaptable info)`
Undo the most recently executed operation in the given context.
`IStatus`
IUndoableOperation.`undo(IProgressMonitor monitor, IAdaptable info)`
Undo the operation.
`IStatus`
TriggeredOperations.`undo(IProgressMonitor monitor, IAdaptable info)`
`IStatus`
DefaultOperationHistory.`undoOperation(IUndoableOperation operation, IProgressMonitor monitor, IAdaptable info)`
`IStatus`
IOperationHistory.`undoOperation(IUndoableOperation operation, IProgressMonitor monitor, IAdaptable info)`
Undo the specified operation.
Constructors in org.eclipse.core.commands.operations with parameters of type IStatus
Modifier
Constructor
Description
``
`OperationHistoryEvent(int code, IOperationHistory history, IUndoableOperation operation, IStatus status)`
Construct an event for the specified operation history.

## Uses of IStatus in org.eclipse.core.databinding

Methods in org.eclipse.core.databinding that return IStatus
Modifier and Type
Method
Description
`protected IStatus`
AggregateValidationStatus.`calculate()`
`protected IStatus`
UpdateListStrategy.`doAdd(IObservableList<? super D> observableList, D element, int index)`
Adds the given element at the given index to the given observable list.
`protected IStatus`
UpdateSetStrategy.`doAdd(IObservableSet<? super D> observableSet, D element)`
Adds the given element at the given index to the given observable list.
`protected IStatus`
UpdateListStrategy.`doMove(IObservableList<? super D> observableList, int oldIndex, int newIndex)`
Moves the element in the observable list located at the given old index to the given new index.
`protected IStatus`
UpdateListStrategy.`doRemove(IObservableList<? super D> observableList, int index)`
Removes the element at the given index from the given observable list.
`protected IStatus`
UpdateSetStrategy.`doRemove(IObservableSet<? super D> observableSet, D element)`
Removes the element at the given index from the given observable list.
`protected IStatus`
UpdateListStrategy.`doReplace(IObservableList<? super D> observableList, int index, D element)`
Replaces the element in the observable list located at the given index to with the given element.
`protected IStatus`
UpdateValueStrategy.`doSet(IObservableValue<? super D> observableValue, D value)`
Sets the current value of the given observable to the given value.
`static IStatus`
AggregateValidationStatus.`getStatusMaxSeverity(Collection<? extends ValidationStatusProvider> validationStatusProviders)`
Returns a status that always returns the most severe status from the given validation status providers.
`static IStatus`
AggregateValidationStatus.`getStatusMerged(Collection<? extends ValidationStatusProvider> validationStatusProviders)`
Returns a status object that merges multiple non-OK status objects in a `MultiStatus`.
`IStatus`
UpdateValueStrategy.`validateAfterConvert(D value)`
Validates the value after it is converted.
`IStatus`
UpdateValueStrategy.`validateAfterGet(S value)`
Validates the value after it is retrieved from the source.
`IStatus`
UpdateValueStrategy.`validateBeforeSet(D value)`
Validates the value before it is set on the destination.
Methods in org.eclipse.core.databinding that return types with arguments of type IStatus
Modifier and Type
Method
Description
`IObservableValue<IStatus>`
ListBinding.`getValidationStatus()`
`IObservableValue<IStatus>`
SetBinding.`getValidationStatus()`
`abstract IObservableValue<IStatus>`
ValidationStatusProvider.`getValidationStatus()`
`final IObservableMap<Binding,IStatus>`
DataBindingContext.`getValidationStatusMap()`
Deprecated.
as of 1.1, please use `DataBindingContext.getValidationStatusProviders()`
`static IValueProperty<ValidationStatusProvider,IStatus>`
BindingProperties.`validationStatus()`
Returns an `IValueProperty` for observing the validation status of a `ValidationStatusProvider`.

## Uses of IStatus in org.eclipse.core.databinding.util

Methods in org.eclipse.core.databinding.util with parameters of type IStatus
Modifier and Type
Method
Description
`void`
ILogger.`log(IStatus status)`
Logs the given status.

## Uses of IStatus in org.eclipse.core.databinding.validation

Classes in org.eclipse.core.databinding.validation that implement IStatus
Modifier and Type
Class
Description
`class`
`ValidationStatus`
Convenience class for creating status objects.
Methods in org.eclipse.core.databinding.validation that return IStatus
Modifier and Type
Method
Description
`static IStatus`
ValidationStatus.`cancel(String message)`
Creates a new validation cancel status with the given message.
`static IStatus`
ValidationStatus.`error(String message)`
Creates a new validation error status with the given message.
`static IStatus`
ValidationStatus.`error(String message, Throwable exception)`
Creates a new validation error status with the given message and exception.
`static IStatus`
ValidationStatus.`info(String message)`
Creates a new validation info status with the given message.
`static IStatus`
ValidationStatus.`ok()`
Returns an OK status.
`IStatus`
IValidator.`validate(T value)`
Determines if the given value is valid.
`protected abstract IStatus`
MultiValidator.`validate()`
Returns the current validation status.
`static IStatus`
ValidationStatus.`warning(String message)`
Creates a new validation warning status with the given message.
Methods in org.eclipse.core.databinding.validation that return types with arguments of type IStatus
Modifier and Type
Method
Description
`IObservableValue<IStatus>`
MultiValidator.`getValidationStatus()`
Returns an `IObservableValue` whose value is always the current validation status of this MultiValidator.

## Uses of IStatus in org.eclipse.core.filebuffers

Methods in org.eclipse.core.filebuffers that return IStatus
Modifier and Type
Method
Description
`IStatus`
IFileBuffer.`getStatus()`
Returns the status of this file buffer.
Methods in org.eclipse.core.filebuffers with parameters of type IStatus
Modifier and Type
Method
Description
`void`
IStateValidationSupport.`validationStateChanged(boolean validationState, IStatus status)`
Tells this buffer that the validation state has been changed to the given value.

## Uses of IStatus in org.eclipse.core.resources

Subinterfaces of IStatus in org.eclipse.core.resources
Modifier and Type
Interface
Description
`interface`
`IResourceStatus`
Represents status related to resources in the Resources plug-in and defines the relevant status code constants.
Methods in org.eclipse.core.resources that return IStatus
Modifier and Type
Method
Description
`IStatus`
IWorkspace.`copy(IResource[] resources, IPath destination, boolean force, IProgressMonitor monitor)`
Copies the given sibling resources so that they are located as members of the resource at the given path; the names of the copies are the same as the corresponding originals.
`IStatus`
IWorkspace.`copy(IResource[] resources, IPath destination, int updateFlags, IProgressMonitor monitor)`
Copies the given sibling resources so that they are located as members of the resource at the given path; the names of the copies are the same as the corresponding originals.
`IStatus`
IWorkspace.`delete(IResource[] resources, boolean force, IProgressMonitor monitor)`
Deletes the given resources.
`IStatus`
IWorkspace.`delete(IResource[] resources, int updateFlags, IProgressMonitor monitor)`
Deletes the given resources.
`IStatus`
IWorkspace.`move(IResource[] resources, IPath destination, boolean force, IProgressMonitor monitor)`
Moves the given sibling resources so that they are located as members of the resource at the given path; the names of the new members are the same.
`IStatus`
IWorkspace.`move(IResource[] resources, IPath destination, int updateFlags, IProgressMonitor monitor)`
Moves the given sibling resources so that they are located as members of the resource at the given path; the names of the new members are the same.
`abstract IStatus`
WorkspaceJob.`runInWorkspace(IProgressMonitor monitor)`
Runs the operation, reporting progress to and accepting cancellation requests from the given progress monitor.
`IStatus`
IWorkspace.`save(boolean full, IProgressMonitor monitor)`
Saves this workspace's valuable state on disk.
`IStatus`
IFileModificationValidator.`validateEdit(IFile[] files, Object context)`
Deprecated.
Validates that the given files can be modified.
`IStatus`
IWorkspace.`validateEdit(IFile[] files, Object context)`
Advises that the caller intends to modify the contents of the given files in the near future and asks whether modifying all these files would be reasonable.
`IStatus`
IWorkspace.`validateFiltered(IResource resource)`
Validates that the given resource will not (or would not, if the resource doesn't exist in the workspace yet) be filtered out from the workspace by its parent resource filters.
`IStatus`
IWorkspace.`validateLinkLocation(IResource resource, IPath location)`
Validates the given path as the location of the given resource on disk.
`IStatus`
IWorkspace.`validateLinkLocationURI(IResource resource, URI location)`
Validates the given `URI` as the location of the given resource on disk.
`IStatus`
IPathVariableManager.`validateName(String name)`
Validates the given name as the name for a path variable.
`IStatus`
IWorkspace.`validateName(String segment, int typeMask)`
Validates the given string as the name of a resource valid for one of the given types.
`IStatus`
IWorkspace.`validateNatureSet(String[] natureIds)`
Validates that each of the given natures exists, and that all nature constraints are satisfied within the given set.
`IStatus`
IWorkspace.`validatePath(String path, int typeMask)`
Validates the given string as a path for a resource of the given type(s).
`IStatus`
IWorkspace.`validateProjectLocation(IProject project, IPath location)`
Validates the given path as the location of the given project on disk.
`IStatus`
IWorkspace.`validateProjectLocationURI(IProject project, URI location)`
Validates the given URI as the location of the given project.
`IStatus`
IFileModificationValidator.`validateSave(IFile file)`
Deprecated.
Validates that the given file can be saved.
`IStatus`
IPathVariableManager.`validateValue(URI path)`
Validates the given path as the value for a path variable.
`IStatus`
IPathVariableManager.`validateValue(IPath path)`
Validates the given path as the value for a path variable.

## Uses of IStatus in org.eclipse.core.resources.mapping

Classes in org.eclipse.core.resources.mapping that implement IStatus
Modifier and Type
Class
Description
`class`
`ModelStatus`
A status returned by a model from the resource operation validator.
Methods in org.eclipse.core.resources.mapping that return IStatus
Modifier and Type
Method
Description
`IStatus`
ModelProvider.`validateChange(IResourceDelta delta, IProgressMonitor monitor)`
Validates the proposed changes contained in the given delta.
`IStatus`
ResourceChangeValidator.`validateChange(IResourceDelta delta, IProgressMonitor monitor)`
Validate the proposed changes contained in the given delta by consulting all model providers to determine if the changes have any adverse side effects.

## Uses of IStatus in org.eclipse.core.resources.team

Methods in org.eclipse.core.resources.team that return IStatus
Modifier and Type
Method
Description
`IStatus`
TeamHook.`validateCreateLink(IFile file, int updateFlags, URI location)`
Validates whether a particular attempt at link creation is allowed.
`IStatus`
TeamHook.`validateCreateLink(IFile file, int updateFlags, IPath location)`
Validates whether a particular attempt at link creation is allowed.
`IStatus`
TeamHook.`validateCreateLink(IFolder folder, int updateFlags, URI location)`
Validates whether a particular attempt at link creation is allowed.
`IStatus`
TeamHook.`validateCreateLink(IFolder folder, int updateFlags, IPath location)`
Validates whether a particular attempt at link creation is allowed.
`final IStatus`
FileModificationValidator.`validateEdit(IFile[] files, Object context)`
Deprecated.
this method is part of the deprecated `IFileModificationValidator` interface.
`abstract IStatus`
FileModificationValidator.`validateEdit(IFile[] files, FileModificationValidationContext context)`
Validates that the given files can be modified.
`IStatus`
FileModificationValidator.`validateSave(IFile file)`
Validates that the given file can be saved.
Methods in org.eclipse.core.resources.team with parameters of type IStatus
Modifier and Type
Method
Description
`void`
IResourceTree.`failed(IStatus reason)`
Declares that the operation has failed for the specified reason.

## Uses of IStatus in org.eclipse.core.runtime

Classes in org.eclipse.core.runtime that implement IStatus
Modifier and Type
Class
Description
`class`
`MultiStatus`
A concrete multi-status implementation, suitable either for instantiating or subclassing.
`class`
`Status`
A concrete status implementation, suitable either for instantiating or subclassing.
Fields in org.eclipse.core.runtime declared as IStatus
Modifier and Type
Field
Description
`static final IStatus`
Status.`CANCEL_STATUS`
A standard CANCEL status with no message.
`static final IStatus`
Status.`OK_STATUS`
A standard OK status with an "ok" message.
Methods in org.eclipse.core.runtime that return IStatus
Modifier and Type
Method
Description
`static IStatus`
Status.`error(String message)`
Construct a new status object with severity `ERROR`, code `OK`, and pluginId determined automatically from the calling class using `StackWalker`.
`static IStatus`
Status.`error(String message, Throwable exception)`
Construct a new status object with severity `ERROR`, code `OK`, and pluginId determined automatically from the calling class using `StackWalker`.
`IStatus[]`
IStatus.`getChildren()`
Returns a list of status object immediately contained in this multi-status, or an empty list if this is not a multi-status.
`IStatus[]`
MultiStatus.`getChildren()`
`IStatus[]`
Status.`getChildren()`
`final IStatus`
CoreException.`getStatus()`
Returns the status object for this exception.
`static IStatus`
Status.`info(String message)`
Construct a new status object with severity `INFO`, code `OK`, and pluginId determined automatically from the calling class using `StackWalker`.
`static IStatus`
Preferences.`validatePreferenceVersions(IPath file)`
Deprecated.
Validates that the preference versions in the given file match the versions of the currently installed plugins.
`static IStatus`
PluginVersionIdentifier.`validateVersion(String version)`
Deprecated, for removal: This API element is subject to removal in a future version.
Validates the given string as a plug-in version identifier.
`static IStatus`
Status.`warning(String message)`
Construct a new status object with severity `WARNING`, code `OK`, and pluginId determined automatically from the calling class using `StackWalker`.
Methods in org.eclipse.core.runtime with parameters of type IStatus
Modifier and Type
Method
Description
`void`
MultiStatus.`add(IStatus status)`
Adds the given status to this multi-status.
`void`
MultiStatus.`addAll(IStatus status)`
Adds all of the children of the given status to this multi-status.
`void`
ILog.`log(IStatus status)`
Logs the given status.
`void`
ILogListener.`logging(IStatus status, String plugin)`
Notifies this listener that given status has been logged by a plug-in.
`void`
MultiStatus.`merge(IStatus status)`
Merges the given status into this multi-status.
`default void`
IProgressMonitor.`setBlocked(IStatus reason)`
Indicates that this operation is blocked by some background activity.
`void`
ProgressMonitorWrapper.`setBlocked(IStatus reason)`
This implementation of a `IProgressMonitorWithBlocking` method forwards to the wrapped progress monitor.
`void`
SubMonitor.`setBlocked(IStatus reason)`
Constructors in org.eclipse.core.runtime with parameters of type IStatus
Modifier
Constructor
Description
``
`CoreException(IStatus status)`
Creates a new exception with the given status object.
``
`MultiStatus(Class<?> caller, int code, IStatus[] newChildren, String message, Throwable exception)`
Creates and returns a new multi-status object with the given children.
``
`MultiStatus(String pluginId, int code, IStatus[] newChildren, String message, Throwable exception)`
Creates and returns a new multi-status object with the given children.

## Uses of IStatus in org.eclipse.core.runtime.jobs

Subinterfaces of IStatus in org.eclipse.core.runtime.jobs
Modifier and Type
Interface
Description
`interface`
`IJobStatus`
Represents status relating to the execution of jobs.
Fields in org.eclipse.core.runtime.jobs declared as IStatus
Modifier and Type
Field
Description
`static final IStatus`
Job.`ASYNC_FINISH`
Job status return value that is used to indicate asynchronous job completion.
Methods in org.eclipse.core.runtime.jobs that return IStatus
Modifier and Type
Method
Description
`IStatus`
IJobChangeEvent.`getJobGroupResult()`
The result returned by the job's job group, if this event signals completion of the last job in a group, or `null` if not applicable.
`IStatus`
IJobChangeEvent.`getResult()`
The result returned by the job's run method, or `null` if not applicable.
`final IStatus`
Job.`getResult()`
Returns the result of this job's last run.
`IStatus`
IJobFunction.`run(IProgressMonitor monitor)`
Executes this job.
`protected abstract IStatus`
Job.`run(IProgressMonitor monitor)`
Executes this job.
Methods in org.eclipse.core.runtime.jobs with parameters of type IStatus
Modifier and Type
Method
Description
`final void`
Job.`done(IStatus result)`
Jobs that complete their execution asynchronously must indicate when they are finished by calling this method.
`protected boolean`
JobGroup.`shouldCancel(IStatus lastCompletedJobResult, int numberOfFailedJobs, int numberOfCanceledJobs)`
This method is called by the JobManager after the completion of every job belonging to this group, and is used to control the job group's cancellation policy.
Method parameters in org.eclipse.core.runtime.jobs with type arguments of type IStatus
Modifier and Type
Method
Description
`protected MultiStatus`
JobGroup.`computeGroupResult(List<IStatus> jobResults)`
This method is called by the JobManager when all the jobs belonging to the group are completed.

## Uses of IStatus in org.eclipse.core.runtime.preferences

Methods in org.eclipse.core.runtime.preferences that return IStatus
Modifier and Type
Method
Description
`IStatus`
IPreferencesService.`applyPreferences(IExportedPreferences preferences)`
Take the given preference tree and apply it to the Eclipse global preference hierarchy.
`IStatus`
IPreferencesService.`exportPreferences(IEclipsePreferences node, OutputStream output, String[] excludesList)`
Exports all preferences for the given preference node and all its children to the specified output stream.
`IStatus`
IPreferencesService.`importPreferences(InputStream input)`
Loads preferences from the given file and stores them in the preferences store.

## Uses of IStatus in org.eclipse.core.runtime.spi

Methods in org.eclipse.core.runtime.spi that return IStatus
Modifier and Type
Method
Description
`static final IStatus`
RegistryStrategy.`processChangeEvent(Object[] listeners, Map<String,?> deltas, Object registry)`
This method performs actual processing of the registry change event.
Methods in org.eclipse.core.runtime.spi with parameters of type IStatus
Modifier and Type
Method
Description
`void`
RegistryStrategy.`log(IStatus status)`
Override this method to provide customized logging functionality to the registry.

## Uses of IStatus in org.eclipse.core.variables

Methods in org.eclipse.core.variables with parameters of type IStatus
Modifier and Type
Method
Description
`static void`
VariablesPlugin.`log(IStatus status)`
Logs the specified status with this plug-in's log.

## Uses of IStatus in org.eclipse.debug.core

Methods in org.eclipse.debug.core that return IStatus
Modifier and Type
Method
Description
`IStatus`
IRequest.`getStatus()`
Returns the status of this request, or `null`.
Methods in org.eclipse.debug.core with parameters of type IStatus
Modifier and Type
Method
Description
`IStatusHandler`
DebugPlugin.`getStatusHandler(IStatus status)`
Returns the status handler registered for the given status, or `null` if none.
`Object`
IStatusHandler.`handleStatus(IStatus status, Object source)`
Notifies this status handler that the given status has been generated by the specified source object and requires resolution.
`static void`
DebugPlugin.`log(IStatus status)`
Logs the specified status with this plug-in's log.
`void`
IRequest.`setStatus(IStatus status)`
Sets the status for this request indicating whether this request succeeded, failed, or was canceled.
Constructors in org.eclipse.debug.core with parameters of type IStatus
Modifier
Constructor
Description
``
`DebugException(IStatus status)`
Constructs a new debug exception with the given status object.

## Uses of IStatus in org.eclipse.debug.core.model

Fields in org.eclipse.debug.core.model declared as IStatus
Modifier and Type
Field
Description
`protected static final IStatus`
LaunchConfigurationDelegate.`complileErrorProjectPromptStatus`
Status code for which a prompter is registered to ask the user if the want to continue launch despite existing compile errors in specific projects.
`protected static final IStatus`
LaunchConfigurationDelegate.`complileErrorPromptStatus`
Status code for which a prompter is registered to ask the user if the want to continue launch despite existing compile errors
`protected static final IStatus`
LaunchConfigurationDelegate.`promptStatus`
Status code for which a UI prompter is registered.
`protected static final IStatus`
LaunchConfigurationDelegate.`saveScopedDirtyEditors`
Status code for which a prompter will ask the user to save any/all of the dirty editors which have only to do with this launch (scoping them to the current launch/build)
`protected static final IStatus`
LaunchConfigurationDelegate.`switchToDebugPromptStatus`
Status code for which a prompter is registered to ask the user if they want to launch in debug mode when breakpoints are present.

## Uses of IStatus in org.eclipse.debug.core.sourcelookup

Fields in org.eclipse.debug.core.sourcelookup declared as IStatus
Modifier and Type
Field
Description
`protected static final IStatus`
AbstractSourceLookupDirector.`fPromptStatus`
`protected static final IStatus`
AbstractSourceLookupDirector.`fResolveDuplicatesStatus`

## Uses of IStatus in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type IStatus
Modifier and Type
Method
Description
`static int`
DebugUITools.`openLaunchConfigurationDialog(Shell shell, ILaunchConfiguration configuration, String groupIdentifier, IStatus status)`
Open the launch configuration dialog on the specified launch configuration.
`static int`
DebugUITools.`openLaunchConfigurationDialogOnGroup(Shell shell, IStructuredSelection selection, String groupIdentifier, IStatus status)`
Open the launch configuration dialog with the specified initial selection.
`static int`
DebugUITools.`openLaunchConfigurationPropertiesDialog(Shell shell, ILaunchConfiguration configuration, String groupIdentifier, IStatus status)`
Open the launch configuration properties dialog on the specified launch configuration.

## Uses of IStatus in org.eclipse.e4.core.services.statusreporter

Methods in org.eclipse.e4.core.services.statusreporter that return IStatus
Modifier and Type
Method
Description
`abstract IStatus`
StatusReporter.`newStatus(int severity, String message, Throwable exception)`
Return a status object with the given severity, message, and optional exception.
Methods in org.eclipse.e4.core.services.statusreporter with parameters of type IStatus
Modifier and Type
Method
Description
`abstract void`
StatusReporter.`report(IStatus status, int style, Object... information)`
Report the given status, using the given style as a hint.

## Uses of IStatus in org.eclipse.e4.ui.dialogs.filteredtree

Methods in org.eclipse.e4.ui.dialogs.filteredtree that return IStatus
Modifier and Type
Method
Description
`final IStatus`
BasicUIJob.`run(IProgressMonitor monitor)`
`abstract IStatus`
BasicUIJob.`runInUIThread(IProgressMonitor monitor)`
Run the job in the UI Thread.

## Uses of IStatus in org.eclipse.equinox.p2.core

Constructors in org.eclipse.equinox.p2.core with parameters of type IStatus
Modifier
Constructor
Description
``
`ProvisionException(IStatus status)`
Creates a new exception with the given status object.

## Uses of IStatus in org.eclipse.equinox.p2.engine

Methods in org.eclipse.equinox.p2.engine that return IStatus
Modifier and Type
Method
Description
`IStatus`
IProvisioningPlan.`getStatus()`
Returns the overall plan status.
`IStatus`
IEngine.`perform(IProvisioningPlan plan, IProgressMonitor monitor)`
Executes a provisioning plan with a default phase set and context.
`IStatus`
IEngine.`perform(IProvisioningPlan plan, IPhaseSet phaseSet, IProgressMonitor monitor)`
Executes a provisioning plan.
`IStatus`
IProfileRegistry.`removeProfileStateProperties(String id, long timestamp, Collection<String> keys)`
Remove all properties with matching keys from the given profile state.
`IStatus`
IProfileRegistry.`setProfileStateProperties(String id, long timestamp, Map<String,String> properties)`
Set properties on a specific profile state.
`IStatus`
IProfileRegistry.`setProfileStateProperty(String id, long timestamp, String key, String value)`
Set a specific property on a specific profile state.
Methods in org.eclipse.equinox.p2.engine with parameters of type IStatus
Modifier and Type
Method
Description
`void`
IProvisioningPlan.`setStatus(IStatus status)`
Sets the overall plan status, describing whether the planner constructing this plan believes it will install successfully, or whether it contains errors or the plan computation has been canceled.

## Uses of IStatus in org.eclipse.equinox.p2.engine.spi

Methods in org.eclipse.equinox.p2.engine.spi that return IStatus
Modifier and Type
Method
Description
`IStatus`
Touchpoint.`commit(IProfile profile)`
This method is called at the end of an engine operation after all phases have been executed and after the touchpoint has had prepare called.
`IStatus`
Touchpoint.`completeOperand(IProfile profile, Map<String,Object> parameters)`
This method is called at the end of processing of a single engine operand (for example a given installable unit being installed or uninstalled).
`IStatus`
Touchpoint.`completePhase(IProgressMonitor monitor, IProfile profile, String phaseId, Map<String,Object> parameters)`
This method is called at the end of execution of an engine phase.
`abstract IStatus`
ProvisioningAction.`execute(Map<String,Object> parameters)`
Performs the provisioning action.
`IStatus`
Touchpoint.`initializeOperand(IProfile profile, Map<String,Object> parameters)`
This method is called at the beginning of processing of a single engine operand (for example a given installable unit being installed or uninstalled).
`IStatus`
Touchpoint.`initializePhase(IProgressMonitor monitor, IProfile profile, String phaseId, Map<String,Object> parameters)`
This method is called at the beginning of execution of an engine phase.
`IStatus`
Touchpoint.`prepare(IProfile profile)`
This method is called at the end of an engine operation after all phases have been executed but prior to the operation being formally committed/persisted.
`IStatus`
Touchpoint.`rollback(IProfile profile)`
This method is called at the end of an engine operation after all phases have been executed.
`abstract IStatus`
ProvisioningAction.`undo(Map<String,Object> parameters)`
Performs the inverse of this provisioning action.

## Uses of IStatus in org.eclipse.equinox.p2.operations

Methods in org.eclipse.equinox.p2.operations that return IStatus
Modifier and Type
Method
Description
`protected IStatus`
ProvisioningJob.`getErrorStatus(String message, ProvisionException e)`
Return an error status that can be used to report the specified exception.
`IStatus`
RepositoryTracker.`getInvalidLocationStatus(String locationText)`
Return a status appropriate for reporting an invalid repository location.
`IStatus`
ProfileChangeOperation.`getResolutionResult()`
Return a status indicating the result of resolving this operation.
`IStatus`
RemediationOperation.`getResolutionResult()`
`IStatus`
ProvisioningSession.`performProvisioningPlan(IProvisioningPlan plan, IPhaseSet phaseSet, ProvisioningContext context, IProgressMonitor monitor)`
Perform the specified provisioning plan.
`final IStatus`
ProfileChangeOperation.`resolveModal(IProgressMonitor monitor)`
Resolve the operation in the current thread using the specified progress monitor.
`final IStatus`
ProvisioningJob.`run(IProgressMonitor monitor)`
Executes this job.
`IStatus`
ProfileModificationJob.`runModal(IProgressMonitor monitor)`
`abstract IStatus`
ProvisioningJob.`runModal(IProgressMonitor monitor)`
Perform the specific work involved in running this job in the current thread.
`IStatus`
RepositoryTracker.`validateRepositoryLocation(ProvisioningSession session, URI location, boolean contactRepositories, IProgressMonitor monitor)`
Validate the specified repository location.

## Uses of IStatus in org.eclipse.equinox.p2.repository.artifact

Methods in org.eclipse.equinox.p2.repository.artifact that return IStatus
Modifier and Type
Method
Description
`IStatus`
IArtifactRepository.`executeBatch(IRunnableWithProgress runnable, IProgressMonitor monitor)`
Executes a runnable against this repository.
`IStatus`
IArtifactRepository.`getArtifact(IArtifactDescriptor descriptor, OutputStream destination, IProgressMonitor monitor)`
Writes to the given output stream the bytes represented by the artifact descriptor.
`IStatus`
IArtifactRepository.`getArtifacts(IArtifactRequest[] requests, IProgressMonitor monitor)`
Executes the given artifact requests on this byte server.
`IStatus`
IArtifactRepository.`getRawArtifact(IArtifactDescriptor descriptor, OutputStream destination, IProgressMonitor monitor)`
Writes to the given output stream the bytes represented by the artifact descriptor.
`IStatus`
IArtifactRequest.`getResult()`
Returns the result of the executed artifact request, or `null` if the request has never been executed.

## Uses of IStatus in org.eclipse.equinox.p2.repository.artifact.spi

Methods in org.eclipse.equinox.p2.repository.artifact.spi that return IStatus
Modifier and Type
Method
Description
`IStatus`
AbstractArtifactRepository.`executeBatch(IRunnableWithProgress runnable, IProgressMonitor monitor)`
`abstract IStatus`
AbstractArtifactRepository.`getArtifact(IArtifactDescriptor descriptor, OutputStream destination, IProgressMonitor monitor)`
`abstract IStatus`
AbstractArtifactRepository.`getArtifacts(IArtifactRequest[] requests, IProgressMonitor monitor)`

## Uses of IStatus in org.eclipse.equinox.p2.repository.metadata

Methods in org.eclipse.equinox.p2.repository.metadata that return IStatus
Modifier and Type
Method
Description
`IStatus`
IMetadataRepository.`executeBatch(IRunnableWithProgress runnable, IProgressMonitor monitor)`
Executes a runnable against this repository.

## Uses of IStatus in org.eclipse.equinox.p2.repository.metadata.spi

Methods in org.eclipse.equinox.p2.repository.metadata.spi that return IStatus
Modifier and Type
Method
Description
`IStatus`
AbstractMetadataRepository.`executeBatch(IRunnableWithProgress runnable, IProgressMonitor monitor)`

## Uses of IStatus in org.eclipse.equinox.p2.ui

Methods in org.eclipse.equinox.p2.ui that return IStatus
Modifier and Type
Method
Description
`IStatus`
Policy.`getNoProfileChosenStatus()`
Return a status that can be used to describe the failure to retrieve a profile.
`IStatus`
LoadMetadataRepositoryJob.`runModal(IProgressMonitor monitor)`

## Uses of IStatus in org.eclipse.help.search

Methods in org.eclipse.help.search that return IStatus
Modifier and Type
Method
Description
`abstract IStatus`
SearchParticipant.`addDocument(IHelpSearchIndex index, String pluginId, String name, URL url, String id, ISearchDocument doc)`
Adds the document to the search index.
`IStatus`
SearchParticipantXML.`addDocument(IHelpSearchIndex index, String pluginId, String name, URL url, String id, ISearchDocument doc)`
`IStatus`
IHelpSearchIndex.`addSearchableDocument(String pluginId, String name, URL url, String id, ISearchDocument doc)`
Adds a document to the search index database by parsing it using one of the file-based search participants, or the default HTML search participant.
Methods in org.eclipse.help.search with parameters of type IStatus
Modifier and Type
Method
Description
`void`
ISearchEngineResultCollector.`error(IStatus status)`
Notifies the collector that an error has occurred in the search engine.

## Uses of IStatus in org.eclipse.jface.databinding.dialog

Fields in org.eclipse.jface.databinding.dialog declared as IStatus
Modifier and Type
Field
Description
`protected IStatus`
DialogPageSupport.`currentStatus`

## Uses of IStatus in org.eclipse.jface.databinding.fieldassist

Methods in org.eclipse.jface.databinding.fieldassist with parameters of type IStatus
Modifier and Type
Method
Description
`protected String`
ControlDecorationUpdater.`getDescriptionText(IStatus status)`
Returns the description text to show in a ControlDecoration for the given status.
`protected Image`
ControlDecorationUpdater.`getImage(IStatus status)`
Returns an image to display in a ControlDecoration which is appropriate for the given status.
`protected void`
ControlDecorationUpdater.`update(ControlDecoration decoration, IStatus status)`
Updates the visibility, image, and description text of the given ControlDecoration to represent the given status.
Method parameters in org.eclipse.jface.databinding.fieldassist with type arguments of type IStatus
Modifier and Type
Method
Description
`static ControlDecorationSupport`
ControlDecorationSupport.`create(IObservableValue<IStatus> validationStatus, int position, IObservable... targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the given validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
ControlDecorationSupport.`create(IObservableValue<IStatus> validationStatus, int position, IObservableList<IObservable> targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the given validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
ControlDecorationSupport.`create(IObservableValue<IStatus> validationStatus, int position, Composite composite, IObservable... targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
ControlDecorationSupport.`create(IObservableValue<IStatus> validationStatus, int position, Composite composite, IObservableList<IObservable> targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
ControlDecorationSupport.`create(IObservableValue<IStatus> validationStatus, int position, Composite composite, ControlDecorationUpdater updater, IObservable... targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
ControlDecorationSupport.`create(IObservableValue<IStatus> validationStatus, int position, Composite composite, ControlDecorationUpdater updater, IObservableList<IObservable> targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.

## Uses of IStatus in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs that return IStatus
Modifier and Type
Method
Description
`IStatus`
StatusDialog.`getStatus()`
Returns the last status.
Methods in org.eclipse.jface.dialogs with parameters of type IStatus
Modifier and Type
Method
Description
`abstract Control`
ErrorSupportProvider.`createSupportArea(Composite parent, IStatus status)`
Create an area for adding support components as a child of parent.
`static int`
ErrorDialog.`openError(Shell parent, String dialogTitle, String message, IStatus status)`
Opens an error dialog to display the given error.
`static int`
ErrorDialog.`openError(Shell parentShell, String title, String message, IStatus status, int displayMask)`
Opens an error dialog to display the given error.
`void`
MessageLine.`setErrorStatus(IStatus status)`
Sets the message and image to the given status.
`protected final void`
ErrorDialog.`setStatus(IStatus status)`
Set the status displayed by this error dialog to the given status.
`protected static boolean`
ErrorDialog.`shouldDisplay(IStatus status, int mask)`
Returns whether the given status object should be displayed.
`void`
IDialogBlockedHandler.`showBlocked(IProgressMonitor blocking, IStatus blockingStatus, String blockedName)`
A blockage has occurred.
`void`
IDialogBlockedHandler.`showBlocked(Shell parentShell, IProgressMonitor blocking, IStatus blockingStatus, String blockedName)`
A blockage has occurred.
`protected void`
StatusDialog.`updateButtonsEnableState(IStatus status)`
Updates the status of the ok button to reflect the given status.
`protected void`
ProgressMonitorDialog.`updateForSetBlocked(IStatus reason)`
Set blocked state from the receiver.
`protected void`
StatusDialog.`updateStatus(IStatus status)`
Update the dialog's status line to reflect the given status.
`boolean`
ErrorSupportProvider.`validFor(IStatus status)`
This method is called before `ErrorSupportProvider.createSupportArea(Composite, IStatus)` to check if the `ErrorSupportProvider` will display any significant informations.
Constructors in org.eclipse.jface.dialogs with parameters of type IStatus
Modifier
Constructor
Description
``
`ErrorDialog(Shell parentShell, String dialogTitle, String message, IStatus status, int displayMask)`
Creates an error dialog.

## Uses of IStatus in org.eclipse.jface.notifications.internal

Methods in org.eclipse.jface.notifications.internal that return IStatus
Modifier and Type
Method
Description
`protected IStatus`
AnimationUtil.FadeJob.`run(IProgressMonitor monitor)`

## Uses of IStatus in org.eclipse.jface.util

Methods in org.eclipse.jface.util with parameters of type IStatus
Modifier and Type
Method
Description
`void`
ILogger.`log(IStatus status)`
Logs the given status.
`abstract void`
StatusHandler.`show(IStatus status, String title)`
Show the given status.

## Uses of IStatus in org.eclipse.jface.wizard

Fields in org.eclipse.jface.wizard declared as IStatus
Modifier and Type
Field
Description
`protected IStatus`
ProgressMonitorPart.`blockedStatus`
current blocked status
Methods in org.eclipse.jface.wizard with parameters of type IStatus
Modifier and Type
Method
Description
`void`
ProgressMonitorPart.`setBlocked(IStatus reason)`

## Uses of IStatus in org.eclipse.ltk.core.refactoring

Methods in org.eclipse.ltk.core.refactoring that return IStatus
Modifier and Type
Method
Description
`IStatus`
RefactoringStatusEntry.`toStatus()`
Returns this refactoring status entry as an `IStatus`.
Methods in org.eclipse.ltk.core.refactoring with parameters of type IStatus
Modifier and Type
Method
Description
`static RefactoringStatus`
RefactoringStatus.`create(IStatus status)`
Creates a new `RefactoringStatus` from the given `IStatus`.

## Uses of IStatus in org.eclipse.ltk.core.refactoring.resource

Methods in org.eclipse.ltk.core.refactoring.resource that return IStatus
Modifier and Type
Method
Description
`static IStatus`
Resources.`checkInSync(IResource resource)`
Checks if the given resource is in sync with the underlying file system.
`static IStatus`
Resources.`checkInSync(IResource[] resources)`
Checks if the given resources are in sync with the underlying file system.
`static IStatus`
Resources.`makeCommittable(IResource[] resources, Object context)`
Makes the given resources committable.
`static IStatus`
Resources.`makeCommittable(IResource resource, Object context)`
Makes the given resource committable.

## Uses of IStatus in org.eclipse.ltk.ui.refactoring.model

Methods in org.eclipse.ltk.ui.refactoring.model that return IStatus
Modifier and Type
Method
Description
`protected IStatus`
AbstractResourceMappingMerger.`aboutToPerformMerge(IMergeContext context, IProgressMonitor monitor)`
Hook method which is called before the actual merge process happens.
`IStatus`
AbstractResourceMappingMerger.`merge(IMergeContext context, IProgressMonitor monitor)`
`protected IStatus`
AbstractResourceMappingMerger.`mergePerformed(IMergeContext context, IProgressMonitor monitor)`
Hook method which is called after the actual merge process happened.

## Uses of IStatus in org.eclipse.search.core.text

Methods in org.eclipse.search.core.text that return IStatus
Modifier and Type
Method
Description
`abstract IStatus`
TextSearchEngine.`search(IFile[] scope, TextSearchRequestor requestor, Pattern searchPattern, IProgressMonitor monitor)`
Uses a given search pattern to find matches in the content of workspace file resources.
`abstract IStatus`
TextSearchEngine.`search(TextSearchScope scope, TextSearchRequestor requestor, Pattern searchPattern, IProgressMonitor monitor)`
Uses a given search pattern to find matches in the content of workspace file resources.

## Uses of IStatus in org.eclipse.search.ui

Methods in org.eclipse.search.ui that return IStatus
Modifier and Type
Method
Description
`IStatus`
ISearchQuery.`run(IProgressMonitor monitor)`
This is the method that actually does the work, i.e. finds the results of the search query.
`static IStatus`
NewSearchUI.`runQueryInForeground(IRunnableContext context, ISearchQuery query)`
Runs the given search query.
`static IStatus`
NewSearchUI.`runQueryInForeground(IRunnableContext context, ISearchQuery query, ISearchResultViewPart view)`
Runs the given search query.

## Uses of IStatus in org.eclipse.team.core

Subinterfaces of IStatus in org.eclipse.team.core
Modifier and Type
Interface
Description
`interface`
`ITeamStatus`
Defines the status codes used in the status of exceptions and errors relating to Team.
Classes in org.eclipse.team.core that implement IStatus
Modifier and Type
Class
Description
`class`
`TeamStatus`
Status that is returned from some Team operations or is the payload of some TeamExceptions.
Methods in org.eclipse.team.core that return IStatus
Modifier and Type
Method
Description
`IStatus`
RepositoryProvider.`validateCreateLink(IResource resource, int updateFlags, URI location)`
Method validateCreateLink is invoked by the Platform Core TeamHook when a linked resource is about to be added to the provider's project.
`IStatus`
RepositoryProvider.`validateCreateLink(IResource resource, int updateFlags, IPath location)`
Deprecated.
see `RepositoryProvider.validateCreateLink(IResource, int, URI)` instead
Constructors in org.eclipse.team.core with parameters of type IStatus
Modifier
Constructor
Description
``
`TeamException(IStatus status)`
Create a `TeamException` which contains the given status object.

## Uses of IStatus in org.eclipse.team.core.diff

Methods in org.eclipse.team.core.diff that return IStatus
Modifier and Type
Method
Description
`IStatus[]`
IDiffChangeEvent.`getErrors()`
Return any errors that occurred while this change was taking place.

## Uses of IStatus in org.eclipse.team.core.diff.provider

Methods in org.eclipse.team.core.diff.provider with parameters of type IStatus
Modifier and Type
Method
Description
`void`
DiffTree.`reportError(IStatus status)`
Report to any listeners that an error has occurred while populating the set.

## Uses of IStatus in org.eclipse.team.core.mapping

Subinterfaces of IStatus in org.eclipse.team.core.mapping
Modifier and Type
Interface
Description
`interface`
`IMergeStatus`
A special status that is returned when the return code of the `merge` method is `CONFLICTS`.
Methods in org.eclipse.team.core.mapping that return IStatus
Modifier and Type
Method
Description
`IStatus`
DelegatingStorageMerger.`merge(OutputStream output, String outputEncoding, IStorage ancestor, IStorage target, IStorage other, IProgressMonitor monitor)`
`IStatus`
IMergeContext.`merge(IDiff[] diffs, boolean ignoreLocalChanges, IProgressMonitor monitor)`
Attempt to merge any files associated with the given diffs.
`IStatus`
IMergeContext.`merge(IDiff diff, boolean ignoreLocalChanges, IProgressMonitor monitor)`
Method that can be called by the model merger to attempt a file-system level merge.
`IStatus`
IResourceMappingMerger.`merge(IMergeContext mergeContext, IProgressMonitor monitor)`
Attempt to automatically merge the mappings of the merge context(`MergeContext#getMappings()`).
`IStatus`
IStorageMerger.`merge(OutputStream output, String outputEncoding, IStorage ancestor, IStorage target, IStorage other, IProgressMonitor monitor)`
Performs a merge operation on the given storage instances and writes the merge result to the output stream.
`IStatus`
ResourceMappingMerger.`merge(IMergeContext mergeContext, IProgressMonitor monitor)`
A default implementation of merge that attempts to merge all the mappings in the context.
`IStatus`
IResourceMappingMerger.`validateMerge(IMergeContext mergeContext, IProgressMonitor monitor)`
Validate an auto-merge for the given context.
`IStatus`
ResourceMappingMerger.`validateMerge(IMergeContext mergeContext, IProgressMonitor monitor)`

## Uses of IStatus in org.eclipse.team.core.mapping.provider

Classes in org.eclipse.team.core.mapping.provider that implement IStatus
Modifier and Type
Class
Description
`class`
`MergeStatus`
A special status that is returned when the return code of the `merge` method is `CONFLICTS`.
Methods in org.eclipse.team.core.mapping.provider that return IStatus
Modifier and Type
Method
Description
`IStatus`
MergeContext.`merge(IDiff[] deltas, boolean force, IProgressMonitor monitor)`
`IStatus`
MergeContext.`merge(IDiff diff, boolean ignoreLocalChanges, IProgressMonitor monitor)`
`protected IStatus`
MergeContext.`performThreeWayMerge(IThreeWayDiff diff, IProgressMonitor monitor)`
Perform a three-way merge on the given three-way diff that contains a content conflict.

## Uses of IStatus in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return IStatus
Modifier and Type
Method
Description
`protected IStatus`
ModelMergeOperation.`performMerge(ModelProvider provider, IProgressMonitor monitor)`
Attempt to merge all the mappings that come from the given provider.
`protected IStatus`
ModelMergeOperation.`performMerge(IProgressMonitor monitor)`
Attempt a headless merge of the elements in the context of this operation.
`final IStatus`
SubscriberParticipant.`refreshNow(IResource[] resources, String taskName, IProgressMonitor monitor)`
Refresh a participant.
`static IStatus`
ModelMergeOperation.`validateMerge(IMergeContext context, IProgressMonitor monitor)`
Validate the merge context with the model providers that have mappings in the scope of the context.
Methods in org.eclipse.team.ui.synchronize with parameters of type IStatus
Modifier and Type
Method
Description
`protected void`
ModelMergeOperation.`handleMergeFailure(IStatus status)`
Method invoked when the context contains unmergable changes.
`protected void`
ModelMergeOperation.`handleValidationFailure(IStatus status)`
Method invoked when the context contains changes that failed validation by at least one `IResourceMappingMerger`.

## Uses of IStatus in org.eclipse.ui

Constructors in org.eclipse.ui with parameters of type IStatus
Modifier
Constructor
Description
``
`PartInitException(IStatus status)`
Creates a new exception with the given status object.
``
`WorkbenchException(IStatus status)`
Creates a new exception with the given status object.

## Uses of IStatus in org.eclipse.ui.actions

Fields in org.eclipse.ui.actions declared as IStatus
Modifier and Type
Field
Description
`protected IStatus`
CopyProjectAction.`errorStatus`
Status containing the errors detected when running the operation or `null` if no errors detected.
Methods in org.eclipse.ui.actions with parameters of type IStatus
Modifier and Type
Method
Description
`protected final IRunnableWithProgress`
RefreshAction.`createOperation(IStatus[] errorStatus)`
`protected IRunnableWithProgress`
RenameResourceAction.`createOperation(IStatus[] errorStatus)`
`protected IRunnableWithProgress`
WorkspaceAction.`createOperation(IStatus[] errorStatus)`
Returns the operation to perform when this action runs.

## Uses of IStatus in org.eclipse.ui.application

Methods in org.eclipse.ui.application that return IStatus
Modifier and Type
Method
Description
`IStatus`
ActionBarAdvisor.`restoreState(IMemento memento)`
Restores arbitrary application-specific state information for this action bar advisor.
`IStatus`
IWorkbenchConfigurer.`restoreState()`
Restores the workbench state saved from the previous session, if any.
`IStatus`
WorkbenchAdvisor.`restoreState(IMemento memento)`
Restores arbitrary application-specific state information for this workbench advisor.
`IStatus`
WorkbenchWindowAdvisor.`restoreState(IMemento memento)`
Restores arbitrary application specific state information.
`IStatus`
ActionBarAdvisor.`saveState(IMemento memento)`
Saves arbitrary application-specific state information for this action bar advisor.
`IStatus`
IWorkbenchWindowConfigurer.`saveState(IMemento memento)`
Saves the current state of the window using the specified memento.
`IStatus`
WorkbenchAdvisor.`saveState(IMemento memento)`
Saves arbitrary application-specific state information for this workbench advisor.
`IStatus`
WorkbenchWindowAdvisor.`saveState(IMemento memento)`
Saves arbitrary application specific state information.

## Uses of IStatus in org.eclipse.ui.console

Methods in org.eclipse.ui.console that return IStatus
Modifier and Type
Method
Description
`static IStatus`
ConsolePlugin.`newErrorStatus(String message, Throwable exception)`
Returns a new error status for this plug-in with the given message
Methods in org.eclipse.ui.console with parameters of type IStatus
Modifier and Type
Method
Description
`static void`
ConsolePlugin.`log(IStatus status)`
Logs the specified status with this plug-in's log.

## Uses of IStatus in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return IStatus
Modifier and Type
Method
Description
`IStatus`
ISelectionStatusValidator.`validate(Object[] selection)`
Validates an array of elements and returns the resulting status.
`protected abstract IStatus`
FilteredItemsSelectionDialog.`validateItem(Object item)`
Validates the item.
`protected IStatus`
FilteredResourcesSelectionDialog.`validateItem(Object item)`
`protected IStatus`
WizardNewFileCreationPage.`validateLinkedResource()`
Checks whether the linked resource target is valid.
`protected IStatus`
WizardNewFolderMainPage.`validateLinkedResource()`
Checks whether the linked resource target is valid.
Methods in org.eclipse.ui.dialogs with parameters of type IStatus
Modifier and Type
Method
Description
`protected void`
SelectionStatusDialog.`updateButtonsEnableState(IStatus status)`
Update the status of the ok button to reflect the given status.
`protected void`
FilteredItemsSelectionDialog.`updateStatus(IStatus status)`
`protected void`
NewFolderDialog.`updateStatus(IStatus status)`
Update the dialog's status line to reflect the given status.
`protected void`
SelectionStatusDialog.`updateStatus(IStatus status)`
Update the dialog's status line to reflect the given status.

## Uses of IStatus in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return IStatus
Modifier and Type
Method
Description
`IStatus`
ForwardingDocumentProvider.`getStatus(Object element)`
`IStatus`
TextFileDocumentProvider.`getStatus(Object element)`
`IStatus`
TextFileDocumentProvider.NullProvider.`getStatus(Object element)`
Deprecated.
Methods in org.eclipse.ui.editors.text with parameters of type IStatus
Modifier and Type
Method
Description
`void`
DefaultEncodingSupport.`createStatusEncodingChangeControl(Composite parent, IStatus status)`
Creates the control which allows to change the encoding.
`String`
DefaultEncodingSupport.`getStatusBanner(IStatus status)`
Returns a banner for the given status.
`protected String`
TextEditor.`getStatusBanner(IStatus status)`
`String`
DefaultEncodingSupport.`getStatusHeader(IStatus status)`
Returns a status header for the given status.
`protected String`
TextEditor.`getStatusHeader(IStatus status)`
`String`
DefaultEncodingSupport.`getStatusMessage(IStatus status)`
Returns a status message if any.
`protected String`
TextEditor.`getStatusMessage(IStatus status)`
`boolean`
DefaultEncodingSupport.`isEncodingError(IStatus status)`
Returns `true` if the given status is an encoding error.

## Uses of IStatus in org.eclipse.ui.ide.undo

Methods in org.eclipse.ui.ide.undo that return IStatus
Modifier and Type
Method
Description
`IStatus`
AbstractWorkspaceOperation.`computeExecutionStatus(IProgressMonitor monitor)`
Return a status indicating the projected outcome of executing the receiver.
`IStatus`
CreateFileOperation.`computeExecutionStatus(IProgressMonitor monitor)`
`IStatus`
DeleteResourcesOperation.`computeExecutionStatus(IProgressMonitor monitor)`
`protected IStatus`
CopyProjectOperation.`computeMoveOrCopyStatus()`
`protected IStatus`
MoveProjectOperation.`computeMoveOrCopyStatus()`
`IStatus`
AbstractWorkspaceOperation.`computeRedoableStatus(IProgressMonitor monitor)`
Return a status indicating the projected outcome of redoing the receiver.
`IStatus`
DeleteResourcesOperation.`computeRedoableStatus(IProgressMonitor monitor)`
`IStatus`
AbstractWorkspaceOperation.`computeUndoableStatus(IProgressMonitor monitor)`
Return a status indicating the projected outcome of undoing the receiver.
`IStatus`
CopyProjectOperation.`computeUndoableStatus(IProgressMonitor monitor)`
`IStatus`
CopyResourcesOperation.`computeUndoableStatus(IProgressMonitor monitor)`
`IStatus`
DeleteResourcesOperation.`computeUndoableStatus(IProgressMonitor monitor)`
`IStatus`
MoveProjectOperation.`computeUndoableStatus(IProgressMonitor monitor)`
`IStatus`
MoveResourcesOperation.`computeUndoableStatus(IProgressMonitor monitor)`
`IStatus`
AbstractWorkspaceOperation.`execute(IProgressMonitor monitor, IAdaptable uiInfo)`
Execute the specified operation.
`protected IStatus`
CreateMarkersOperation.`getBasicRedoStatus()`
`protected IStatus`
DeleteMarkersOperation.`getBasicRedoStatus()`
`protected IStatus`
UpdateMarkersOperation.`getBasicRedoStatus()`
`protected IStatus`
CreateMarkersOperation.`getBasicUndoStatus()`
`protected IStatus`
DeleteMarkersOperation.`getBasicUndoStatus()`
`protected IStatus`
UpdateMarkersOperation.`getBasicUndoStatus()`
`protected IStatus`
AbstractWorkspaceOperation.`getErrorStatus(String message)`
Return an error status describing an invalid operation using the provided message.
`protected IStatus`
AbstractWorkspaceOperation.`getWarningStatus(String message, int code)`
Return a warning status describing the warning state of an operation using the provided message and code.
`IStatus`
AbstractWorkspaceOperation.`redo(IProgressMonitor monitor, IAdaptable uiInfo)`
Redo the specified operation.
`IStatus`
AbstractWorkspaceOperation.`undo(IProgressMonitor monitor, IAdaptable uiInfo)`
Undo the specified operation.

## Uses of IStatus in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that return IStatus
Modifier and Type
Method
Description
`IStatus`
ErrorEditorPart.`getError()`
`static IStatus`
WorkbenchPlugin.`getStatus(Throwable t)`
Return the status from throwable
`static IStatus`
WorkbenchPlugin.`newError(String message, Throwable t)`
Create a new error from the message and the throwable.
`IStatus`
EditorHistory.`restoreState(IMemento memento)`
Restore the most-recently-used history from the given memento.
`IStatus`
EditorHistoryItem.`restoreState()`
Restores the object state from the memento.
`IStatus`
WorkbenchConfigurer.`restoreState()`
`IStatus`
EditorHistory.`saveState(IMemento memento)`
Save the most-recently-used history in the given memento.
`IStatus`
EditorHistoryItem.`saveState(IMemento memento)`
Saves the object state in the given memento.
`IStatus`
WorkbenchWindowConfigurer.`saveState(IMemento memento)`
`IStatus`
WorkbenchLayoutSettingsTransfer.`transferSettings(IPath newWorkspaceRoot)`
Methods in org.eclipse.ui.internal with parameters of type IStatus
Modifier and Type
Method
Description
`IWorkbenchPart`
EditorReference.`createErrorPart(IStatus status)`
`IWorkbenchPart`
ViewReference.`createErrorPart(IStatus status)`
`abstract IWorkbenchPart`
WorkbenchPartReference.`createErrorPart(IStatus status)`
`static void`
WorkbenchPlugin.`log(String message, IStatus status)`
Logs the given message and status to the platform log.
`static void`
WorkbenchPlugin.`log(IStatus status)`
Log the status to the default log.
Constructors in org.eclipse.ui.internal with parameters of type IStatus
Modifier
Constructor
Description
``
`ErrorEditorPart(IStatus error)`
Creates instance of the class
``
`ErrorViewPart(IStatus error)`
Creates instance of the class

## Uses of IStatus in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return IStatus
Modifier and Type
Method
Description
`abstract IStatus`
CommonDropAdapterAssistant.`handleDrop(CommonDropAdapter aDropAdapter, DropTargetEvent aDropTargetEvent, Object aTarget)`
Carry out the DND operation.
`IStatus`
CommonDropAdapterAssistant.`handlePluginTransferDrop(IStructuredSelection aDragSelection, Object aDropTarget)`
Handle the drop operation for the target viewer.
`abstract IStatus`
CommonDropAdapterAssistant.`validateDrop(Object target, int operation, TransferData transferType)`
Validates dropping on the given object.
`IStatus`
CommonDropAdapterAssistant.`validatePluginTransferDrop(IStructuredSelection aDragSelection, Object aDropTarget)`
Return true if the client can handle the drop onto the target viewer of the drop operation.

## Uses of IStatus in org.eclipse.ui.navigator.resources

Methods in org.eclipse.ui.navigator.resources that return IStatus
Modifier and Type
Method
Description
`IStatus`
ResourceDropAdapterAssistant.`handleDrop(CommonDropAdapter aDropAdapter, DropTargetEvent aDropTargetEvent, Object aTarget)`
`IStatus`
ResourceDropAdapterAssistant.`handlePluginTransferDrop(IStructuredSelection aDragSelection, Object aDropTarget)`
`IStatus`
ResourceDropAdapterAssistant.`validateDrop(Object target, int aDropOperation, TransferData transferType)`
`IStatus`
ResourceDropAdapterAssistant.`validatePluginTransferDrop(IStructuredSelection aDragSelection, Object aDropTarget)`

## Uses of IStatus in org.eclipse.ui.operations

Methods in org.eclipse.ui.operations that return IStatus
Modifier and Type
Method
Description
`protected IStatus`
LinearUndoViolationUserApprover.`allowLinearRedoViolation(IUndoableOperation operation, IUndoContext context, IOperationHistory history, IAdaptable uiInfo)`
`protected IStatus`
LinearUndoViolationUserApprover.`allowLinearUndoViolation(IUndoableOperation operation, IUndoContext context, IOperationHistory history, IAdaptable uiInfo)`
`IStatus`
NonLocalUndoUserApprover.`proceedRedoing(IUndoableOperation operation, IOperationHistory history, IAdaptable uiInfo)`
`IStatus`
NonLocalUndoUserApprover.`proceedUndoing(IUndoableOperation operation, IOperationHistory history, IAdaptable uiInfo)`

## Uses of IStatus in org.eclipse.ui.preferences

Methods in org.eclipse.ui.preferences that return IStatus
Modifier and Type
Method
Description
`abstract IStatus`
SettingsTransfer.`transferSettings(IPath newWorkspaceRoot)`
Transfer the settings to a workspace rooted at newWorkspacwe

## Uses of IStatus in org.eclipse.ui.progress

Methods in org.eclipse.ui.progress that return IStatus
Modifier and Type
Method
Description
`static IStatus`
UIJob.`errorStatus(Throwable exception)`
Convenience method to return a status for an exception.
`IStatus`
IJobRunnable.`run(IProgressMonitor monitor)`
Executes this runnable.
`final IStatus`
UIJob.`run(IProgressMonitor monitor)`
Note: this message is marked final.
`abstract IStatus`
UIJob.`runInUIThread(IProgressMonitor monitor)`
Run the job in the UI Thread.

## Uses of IStatus in org.eclipse.ui.statushandlers

Methods in org.eclipse.ui.statushandlers that return IStatus
Modifier and Type
Method
Description
`IStatus`
StatusAdapter.`getStatus()`
Returns the wrapped status.
Methods in org.eclipse.ui.statushandlers with parameters of type IStatus
Modifier and Type
Method
Description
`void`
StatusManager.`addLoggedStatus(IStatus status)`
This method informs the StatusManager that this IStatus is being handled by the handler and to ignore it when it shows up in our ILogListener.
`final Control`
AbstractStatusAreaProvider.`createSupportArea(Composite parent, IStatus status)`
`void`
StatusManager.`handle(IStatus status)`
Handles the given status.
`void`
StatusManager.`handle(IStatus status, int style)`
Handles the given status due to the style.
`void`
StatusAdapter.`setStatus(IStatus status)`
Sets a new status for this adapter.
Constructors in org.eclipse.ui.statushandlers with parameters of type IStatus
Modifier
Constructor
Description
``
`StatusAdapter(IStatus status)`
Creates an instance of this class.

## Uses of IStatus in org.eclipse.ui.texteditor

Fields in org.eclipse.ui.texteditor declared as IStatus
Modifier and Type
Field
Description
`IStatus`
AbstractDocumentProvider.ElementInfo.`fStatus`
The status of this element
`protected static final IStatus`
AbstractDocumentProvider.`STATUS_ERROR`
Constant for representing the error status.
`protected static final IStatus`
AbstractDocumentProvider.`STATUS_OK`
Deprecated.
As of 3.6, replaced by `Status.OK_STATUS`
Methods in org.eclipse.ui.texteditor that return IStatus
Modifier and Type
Method
Description
`IStatus`
AbstractDocumentProvider.`getStatus(Object element)`
`IStatus`
IDocumentProviderExtension.`getStatus(Object element)`
Returns the status of the given element.
Methods in org.eclipse.ui.texteditor with parameters of type IStatus
Modifier and Type
Method
Description
`protected Control`
AbstractDecoratedTextEditor.`createStatusControl(Composite parent, IStatus status)`
`protected Control`
StatusTextEditor.`createStatusControl(Composite parent, IStatus status)`
Creates the status control for the given status.
`protected String`
StatusTextEditor.`getStatusBanner(IStatus status)`
Returns a banner for the given status.
`protected String`
StatusTextEditor.`getStatusHeader(IStatus status)`
Returns a header for the given status
`protected String`
StatusTextEditor.`getStatusMessage(IStatus status)`
Returns a message for the given status.
`protected boolean`
AbstractDecoratedTextEditor.`isErrorStatus(IStatus status)`
`protected boolean`
StatusTextEditor.`isErrorStatus(IStatus status)`
Returns whether the given status indicates an error.
Constructors in org.eclipse.ui.texteditor with parameters of type IStatus
Modifier
Constructor
Description
``
`ValidateStateException(IStatus status)`
Deprecated.

## Uses of IStatus in org.eclipse.ui.texteditor.spelling

Methods in org.eclipse.ui.texteditor.spelling with parameters of type IStatus
Modifier and Type
Method
Description
`void`
IPreferenceStatusMonitor.`statusChanged(IStatus status)`
Notifies this monitor that the preference page's status has changed the given status.

## Uses of IStatus in org.eclipse.ui.views.markers.internal

Methods in org.eclipse.ui.views.markers.internal that return IStatus
Modifier and Type
Method
Description
`static IStatus`
Util.`errorStatus(Throwable exception)`
Return an error status for the given exception.

## Uses of IStatus in org.eclipse.ui.wizards.datatransfer

Methods in org.eclipse.ui.wizards.datatransfer that return IStatus
Modifier and Type
Method
Description
`IStatus`
ImportOperation.`getStatus()`
Returns the status of the import operation.

## Uses of IStatus in org.eclipse.unittest.internal

Methods in org.eclipse.unittest.internal with parameters of type IStatus
Modifier and Type
Method
Description
`static void`
UnitTestPlugin.`log(IStatus status)`
Logs the given status.